@NyxDeveloper

Incorrect padding Django?

Возникла очень странная ошибка преобразования строк, которой раньше не было. Я просто перехожу на стартовую страничку приложения как и раньше, но мне выплевывается ошибка вот в этом файле /usr/lib/python3.8/base64.py in b64decode, line 87.
Вот трейсбэк
Traceback:

File "/usr/local/lib/python3.8/dist-packages/django/contrib/sessions/backends/base.py" in _get_session
  189.             return self._session_cache

During handling of the above exception ('SessionStore' object has no attribute '_session_cache'), another exception occurred:

File "/usr/local/lib/python3.8/dist-packages/django/core/handlers/exception.py" in inner
  34.             response = get_response(request)

File "/usr/local/lib/python3.8/dist-packages/django/core/handlers/base.py" in _get_response
  115.                 response = self.process_exception_by_middleware(e, request)

File "/usr/local/lib/python3.8/dist-packages/django/core/handlers/base.py" in _get_response
  113.                 response = wrapped_callback(request, *callback_args, **callback_kwargs)

File "/usr/local/lib/python3.8/dist-packages/django/contrib/admin/sites.py" in wrapper
  241.                 return self.admin_view(view, cacheable)(*args, **kwargs)

File "/usr/local/lib/python3.8/dist-packages/django/utils/decorators.py" in _wrapped_view
  142.                     response = view_func(request, *args, **kwargs)

File "/usr/local/lib/python3.8/dist-packages/django/views/decorators/cache.py" in _wrapped_view_func
  44.         response = view_func(request, *args, **kwargs)

File "/usr/local/lib/python3.8/dist-packages/django/contrib/admin/sites.py" in inner
  212.             if not self.has_permission(request):

File "/usr/local/lib/python3.8/dist-packages/django/contrib/admin/sites.py" in has_permission
  186.         return request.user.is_active and request.user.is_staff

File "/usr/local/lib/python3.8/dist-packages/django/utils/functional.py" in inner
  256.             self._setup()

File "/usr/local/lib/python3.8/dist-packages/django/utils/functional.py" in _setup
  392.         self._wrapped = self._setupfunc()

File "/usr/local/lib/python3.8/dist-packages/django/contrib/auth/middleware.py" in <lambda>
  24.         request.user = SimpleLazyObject(lambda: get_user(request))

File "/usr/local/lib/python3.8/dist-packages/django/contrib/auth/middleware.py" in get_user
  12.         request._cached_user = auth.get_user(request)

File "/usr/local/lib/python3.8/dist-packages/django/contrib/auth/__init__.py" in get_user
  182.         user_id = _get_user_session_key(request)

File "/usr/local/lib/python3.8/dist-packages/django/contrib/auth/__init__.py" in _get_user_session_key
  59.     return get_user_model()._meta.pk.to_python(request.session[SESSION_KEY])

File "/usr/local/lib/python3.8/dist-packages/django/contrib/sessions/backends/base.py" in __getitem__
  54.         return self._session[key]

File "/usr/local/lib/python3.8/dist-packages/django/contrib/sessions/backends/base.py" in _get_session
  194.                 self._session_cache = self.load()

File "/usr/local/lib/python3.8/dist-packages/django/contrib/sessions/backends/db.py" in load
  44.         return self.decode(s.session_data) if s else {}

File "/usr/local/lib/python3.8/dist-packages/django/contrib/sessions/backends/base.py" in decode
  100.         encoded_data = base64.b64decode(session_data.encode('ascii'))

File "/usr/lib/python3.8/base64.py" in b64decode
  87.     return binascii.a2b_base64(s)


UPD:
Решил прислушаться к людям и дать трейсбэк поменьше. Здесь я пытаюсь попасть на страницу авторизации в админку джанги.

Я даже не знаю куда копать. Подскажите из-за чего могла возникнуть ошибка и как ее решить? Спасибо!
  • Вопрос задан
  • 53 просмотра
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы